VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Private Sub Command3_Click()"
   ClientHeight    =   3030
   ClientLeft      =   2490
   ClientTop       =   2655
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3030
   ScaleWidth      =   4680
   Begin VB.CommandButton Command4 
      Caption         =   "..."
      Height          =   405
      Left            =   4200
      TabIndex        =   7
      Top             =   1440
      Width           =   375
   End
   Begin VB.TextBox Text1 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Text            =   "C:\scilab\scilab-2.6"
      Top             =   480
      Width           =   3975
   End
   Begin VB.TextBox Text2 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Text            =   "C:\scilab\scilin"
      Top             =   1440
      Width           =   3975
   End
   Begin VB.CommandButton Command3 
      Caption         =   "..."
      Height          =   405
      Left            =   4200
      TabIndex        =   2
      Top             =   480
      Width           =   375
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2040
      Top             =   1920
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   2400
      TabIndex        =   1
      Top             =   2520
      Width           =   2175
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Install"
      Height          =   495
      Left            =   0
      TabIndex        =   0
      Top             =   2520
      Width           =   2175
   End
   Begin VB.Label Label2 
      Caption         =   "Scilin Directory"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1080
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   "Scilab Directory"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
    Const ForReading = 1, ForWriting = 2, ForAppending = 8
    Dim compil
        
    Call MakeConfig
    Call MakeScript
    
    compil = Shell("nmake /f Makefile.mak", vbMaximizedFocus)
    Unload Me
End Sub

Private Sub Command2_Click()
    Unload Me
End Sub

Private Sub Command3_Click()
    Call CommonDialog1.ShowOpen
    Form1.Text1.Text = CommonDialog1.FileName
End Sub

Private Sub Command4_Click()
    Call CommonDialog1.ShowOpen
    Form1.Text2.Text = CommonDialog1.FileName
End Sub

Private Sub MakeConfig()
    Dim fso, f
    Dim scidir1 As String
    Dim scilindir1 As String
    Dim scidir As String
    Dim scilindir As String

    scidir1 = Form1.Text1.Text
    scidir = Replace(scidir1, "\", "/")
    scilindir1 = Form1.Text2.Text
    scilindir = Replace(scilindir1, "\", "/")

    Set fso = CreateObject("Scripting.FileSystemObject")
    Set f = fso.OpenTextFile(scilindir1 & "\Makefile.config", ForWriting, True)
    f.WriteLine ("SCIDIR=" & scidir)
    f.WriteLine ("SCILINDIR=" & scilindir)
    f.WriteLine ("SCIDIR1=" & scidir1)
    f.WriteLine ("SCILINDIR1=" & scilindir1)
    f.Close
End Sub

Private Sub MakeScript()
    Dim fso, f
    Dim scilindir As String
    Dim scilindir1 As String
    
    scilindir1 = Form1.Text2.Text
    scilindir = Replace(scilindir1, "\", "/")
    
    Set fso = CreateObject("Scripting.FileSystemObject")
    Set f = fso.OpenTextFile(scilindir1 & "\scilin.sce", ForWriting, True)
    f.WriteLine ("mode(-1)")
    f.WriteLine ("SCILIN='" & scilindir & "';")
    f.WriteLine (vbCrLf & _
"// Solvers " & vbCrLf & _
"printf('Loading of the solvers ...')" & vbCrLf & _
"scilinlib=lib(SCILIN+'/solvers/');")

    f.WriteLine (vbCrLf & _
"// Precond" & vbCrLf & _
"printf('Loading of the preconditioners ...')" & vbCrLf & _
"functions=['ilu0';'ilut';'ilutp';'iluk';'ilud';'iludp';'milu0';'splsolve';'spusolve';'triangular'];" & vbCrLf & _
"addinter(SCILIN+'/precond/ilut/libilut.dll','libilut',functions);")

    f.WriteLine (vbCrLf & _
"// MatI/O" & vbCrLf & _
"printf('Loading of the sparse matrix generation i/o functions ...')" & vbCrLf & _
"functions=['gen57pt'];" & vbCrLf & _
"addinter(SCILIN+'/matio/matgen/routines/libgenmat.dll','libgenmat',functions);" & vbCrLf & _
"matgenlib=lib(SCILIN+'/matio/matgen/macros/');")

    f.WriteLine (vbCrLf & _
"// Matrix Market" & vbCrLf & _
"functions=['mminfo','mmread','mmwrite'];" & vbCrLf & _
"addinter(SCILIN+'/matio/mm/libmm.dll','libmm',functions);")

    f.WriteLine (vbCrLf & _
"// Help" & vbCrLf & _
"printf('Loading of the Scilab help pages ...')" & vbCrLf & _
"%helps = [%helps;" & vbCrLf & _
"SCILIN+'/man/precond','SCILIN: Preconditionnements';" & vbCrLf & _
"SCILIN+'/man/solvers','SCILIN: Solvers';" & vbCrLf & _
"SCILIN+'/man/matio','SCILIN: Sparse matrix generations';" & vbCrLf & _
"];")

    f.WriteLine (vbCrLf & _
"// Demos" & vbCrLf & _
"printf('Preparing the demos ...')" & vbCrLf & _
"demolist = [demolist;" & vbCrLf & _
"'SCILIN' , SCILIN+'/demos/scilin.dem';" & vbCrLf & _
"];")

    f.WriteLine (vbCrLf & _
"// Addon" & vbCrLf & _
"sparselib=lib(SCILIN+'/addon/');")

    f.WriteLine (vbCrLf & _
"// Message" & vbCrLf & _
"printf('---------------------------------------')" & vbCrLf & _
"printf('Scilin toolbox has just been installed.')" & vbCrLf & _
"printf('To know new available functions:')" & vbCrLf & _
"printf('At Scilab prompt, enter:')" & vbCrLf & _
"printf('--> help scilin')" & vbCrLf & _
"printf('---------------------------------------')" & vbCrLf)
    f.Close
End Sub
