mode(-1)
// Path
SCILIN = '/home/feu/d02/aladin/aladin/develop/scilin-1.02';

// Macros
printf('Loading Scilin macros ...')
scilinlib=lib(SCILIN+'/macros/scilin/');

// Routines
printf('Loading Scilin routines ...')
functions=['ilu0';'ilut';'ilutp';'iluk';'ilud';'iludp';'milu0';'splsolve';'spusolve';'triangular';'mminfo';'mmread';'mmwrite';'gen57pt'];
addinter(SCILIN+'/routines/scilin/libscilin.so','libscilin',functions);

// Help
printf('Loading Scilin help pages ...')
%helps = [%helps; 
SCILIN+'/man/scilin','Scilin functions';
];

// Demos
printf('Preparing Scilin demos ...')
demolist = [demolist;
'Scilin' , SCILIN+'/demos/scilin/scilin.dem';
];

// Message
printf('---------------------------------------')
printf('Scilin toolbox has just been installed.')
printf('To know new available functions:')
printf('At Scilab prompt, enter:')
printf('--> help scilin')
printf('---------------------------------------')
