2.TH rotmat G "March 2000" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
rotmat - Givens rotation matrix parameters
.SH CALLING SEQUENCE
.nf
[c,s] = rotmat(a,b)
.fi
.SH PARAMETERS
.TP
a
: parameter
.TP
b
: parameter
.TP
c
: a Givens rotation matrix parameter
.TP
s
: a Givens rotation matrix parameter
.SH DESCRIPTION
\fV[c,s] = rotmat(a,b)\fR compute the Givens rotation matrix parameters for a and b.
.SH EXAMPLE
.nf
a=5;b=2;
[c,s] = rotmat(a,b)
.fi
.SH AUTHOR
Source given by the Univ. of Tennessee and Oak Ridge National Laboratory. Adaptations for Scilab done by Aladin team - 20 March 2001.
.SH SEE ALSO
